package com.jz.dm.mall.moduls.service;

import com.jz.common.entity.Department;
import com.jz.dm.mall.moduls.controller.company.bean.CompanyAddReq;
import com.jz.common.utils.Result;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: CompanyAuthService
 * @USER: key
 * @DATE: 2020-12-2/16:34
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public interface CompanyAuthService {
    /**
     * 添加企业认证
     * @param req
     * @return
     */
    Result addCompanyData(CompanyAddReq req);

    /**
     * 查询企业认证详情
     * @param type
     * @return
     */
    Result<Department> selectCompany(String type);


}
